org.eclipse.oomph.setup

## Interface Project

- All Superinterfaces:
    EObject, ModelElement, Notifier, ProjectContainer, Scope, SetupTaskContainer
  All Known Implementing Classes:
    ProjectImpl

      public interface Project
      extends ProjectContainer

  A representation of the model object 'Project'.

  The following features are supported:

  - `Streams`
  - `Project Container`
  - `Logical Project Container`
  - `Parent Project`
  - `Project Catalog`
  See Also:
    `SetupPackage.getProject()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectContainer` | `getLogicalProjectContainer()` Returns the value of the 'Logical Project Container' reference.
    `Project` | `getParentProject()` Returns the value of the 'Parent Project' reference.
    `ProjectCatalog` | `getProjectCatalog()` Returns the value of the 'Project Catalog' reference.
    `ProjectContainer` | `getProjectContainer()` Returns the value of the 'Project Container' container reference.
    `EList<Stream>` | `getStreams()` Returns the value of the 'Streams' containment reference list.
    `void` | `setLogicalProjectContainer(ProjectContainer value)` Sets the value of the '`Logical Project Container`' reference.
    `void` | `setProjectContainer(ProjectContainer value)` Sets the value of the '`Project Container`' container reference.

    - ### Methods inherited from interface org.eclipse.oomph.setup.ProjectContainer

      `getProjects`

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStreams

          EList<Stream> getStreams()

      Returns the value of the 'Streams' containment reference list. The list contents are of type `Stream`. It is bidirectional and its opposite is '`Project`'.

      If the meaning of the 'Branches' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Streams' containment reference list.
      See Also:
        `SetupPackage.getProject_Streams()`, `Stream.getProject()`
      Generated
      Model
        opposite="project" containment="true" resolveProxies="true" keys="name" extendedMetaData="name='stream'"

    - #### getProjectContainer

          ProjectContainer getProjectContainer()

      Returns the value of the 'Project Container' container reference. It is bidirectional and its opposite is '`Projects`'.

      If the meaning of the 'Project Container' container reference isn't clear, there really should be more of a description here...

      Specified by:
        `getProjectContainer` in interface `ProjectContainer`
      Returns:
        the value of the 'Project Container' container reference.
      See Also:
        `setProjectContainer(ProjectContainer)`, `SetupPackage.getProject_ProjectContainer()`, `ProjectContainer.getProjects()`
      Generated
      Model
        opposite="projects"

    - #### setProjectContainer

          void setProjectContainer(ProjectContainer value)

      Sets the value of the '`Project Container`' container reference.
      Parameters:
        `value` - the new value of the 'Project Container' container reference.
      See Also:
        `getProjectContainer()`
      Generated

    - #### getLogicalProjectContainer

          ProjectContainer getLogicalProjectContainer()

      Returns the value of the 'Logical Project Container' reference.

      If the meaning of the 'Logical Project Container' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Project Container' reference.
      See Also:
        `setLogicalProjectContainer(ProjectContainer)`, `SetupPackage.getProject_LogicalProjectContainer()`
      Generated
      Model

    - #### setLogicalProjectContainer

          void setLogicalProjectContainer(ProjectContainer value)

      Sets the value of the '`Logical Project Container`' reference.
      Parameters:
        `value` - the new value of the 'Logical Project Container' reference.
      See Also:
        `getLogicalProjectContainer()`
      Generated

    - #### getParentProject

          Project getParentProject()

      Returns the value of the 'Parent Project' reference.

      If the meaning of the 'Parent Project' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent Project' reference.
      See Also:
        `SetupPackage.getProject_ParentProject()`
      Generated
      Model
        resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

    - #### getProjectCatalog

          ProjectCatalog getProjectCatalog()

      Returns the value of the 'Project Catalog' reference.

      If the meaning of the 'Project Catalog' reference isn't clear, there really should be more of a description here...

      Specified by:
        `getProjectCatalog` in interface `ProjectContainer`
      Returns:
        the value of the 'Project Catalog' reference.
      See Also:
        `SetupPackage.getProject_ProjectCatalog()`
      Generated
      Model
        resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html